| Openscape Voice V10 - SOAP Interface Documentation

Classes | Enumerations | Functions
Business Group Subnet

Business Group Subnet Definitions and Methods
More...

## Classes
struct | unsp__LINListEntry
| Location Identifier Number entry. More...
struct | unsp__LINList
| List of Location Identifier Number entries. More...
struct | unsp__BgSubnetId
| Business Group Subnet Identifier fields. More...
struct | unsp__LocationInfo
| Next Generation 911 Location Information. More...
struct | unsp__BgSubnetData
| Business Group Subnet Data fields. More...
struct | unsp__GetBgSubnetData
| Business Group Subnet Data. More...
struct | unsp__GetBgSubnetRequest
| Get Business Group Subnet request. More...
struct | unsp__GetBgSubnetResult
| Get Business Group Subnet result. More...
struct | unsp__BgSubnetEntriesResult
| Get Business Group Subnet result. More...
struct | unsp__BgSubnetDataEntriesResult
| Business Group Subnet result entries. More...
struct | unsp__CreateBgSubnetRequest
| Create Business Group Subnet request. More...
struct | unsp__CreateBgSubnetResult
| Create Business Group Subnet result. More...
struct | unsp__GetBgSubnetListDataOptionListEntry
| Optional fields entry. More...
struct | unsp__GetBgSubnetListDataOptionList
| Optional fields entries. More...
struct | unsp__GetBgSubnetListRequest
| Get Business Group Subnet list request. More...
struct | unsp__GetBgSubnetListData
| Get Business Group Subnet identifier data entries. More...
struct | unsp__GetBgSubnetListDataExtended
| Get Business Group Subnet extended data entries as returned from unsp__GetBgSubnetList() More...
struct | unsp__GetBgSubnetListResult
| Get Business Group Subnet list result. More...
struct | unsp__DeleteBgSubnetRequest
| Delete Business Group Subnet request. More...
struct | unsp__DeleteBgSubnetResult
| Delete Business Group Subnet result. More...
struct | unsp__UpdateBgSubnetRequest
| Update Business Group Subnet request. More...
struct | unsp__UpdateBgSubnetResult
| Update Business Group Subnet result. More...
struct | unsp__GetBgSubnetAndLinListRequest
| Get BG Subnet and LIN List request. More...
struct | BgSubnetAndLinListData
| BG Subnet and LIN List Data. More...
struct | unsp__GetBgSubnetAndLinListData
| Get BG Subnet and LIN List Data. More...
struct | unsp__GetBgSubnetAndLinListResult
| Get BG Subnet and LIN List result. More...

## Enumerations
enum | unsp__OverwriteNAMwithLIN { OverwriteNAMwithLINPassthrough, OverwriteNAMwithLINWriteIfEmpty, OverwriteNAMwithLINOverwrite }
| Emergency Subnet Parameter. More...
enum | unsp__GetBgSubnetListDataOption { BgSubnetListDataInclDescription_, BgSubnetListDataInclBOName_ }
| Business Group Subnet optional fields. More...

## Functions
int | unsp__CreateLinPool (struct unsp__CreateLinPoolRequest CreateLinPoolRequest, struct unsp__CreateLinPoolResult *CreateLinPoolResult)
| Creates a LIN POOL. More...
int | unsp__ModifyLinPool (struct unsp__ModifyLinPoolRequest ModifyLinPoolRequest, struct unsp__ModifyLinPoolResult *ModifyLinPoolResult)
| Modifies a LIN POOL. More...
int | unsp__RemoveLinPool (struct unsp__RemoveLinPoolRequest RemoveLinPoolRequest, struct unsp__RemoveLinPoolResult *RemoveLinPoolResult)
| Deletes a LIN POOL. More...
int | unsp__QueryLinPoolList (struct unsp__QueryLinPoolListRequest QueryLinPoolListRequest, struct unsp__QueryLinPoolListResult *QueryLinPoolListResult)
| Queries a list of LIN POOLs. More...
int | unsp__GetLinPool (struct unsp__GetLinPoolRequest GetLinPoolRequest, struct unsp__GetLinPoolResult *GetLinPoolResult)
| Queries a list of LIN POOLs. More...
int | unsp__GetBgSubnetInfo (struct unsp__GetBgSubnetRequest GetBgSubnetRequest, struct unsp__GetBgSubnetResult *GetBgSubnetResult)
| Queries a Business Group subnet using the provided filtering values. More...
int | unsp__CreateBgSubnet2 (struct unsp__CreateBgSubnetRequest CreateBgSubnetRequest, struct unsp__CreateBgSubnetResult *CreateBgSubnetResult)
| Creates a Business Group subnet. More...
int | unsp__GetBgSubnetList (struct unsp__GetBgSubnetListRequest GetBgSubnetListRequest, struct unsp__GetBgSubnetListResult *GetBgSubnetListResult)
| Queries Business Group Subnets using the provided filtering, sorting and paging values. More...
int | unsp__DeleteBgSubnet2 (struct unsp__DeleteBgSubnetRequest DeleteBgSubnetRequest, struct unsp__DeleteBgSubnetResult *DeleteBgSubnetResult)
| Deletes a Business Group Subnet. More...
int | unsp__UpdateBgSubnet2 (struct unsp__UpdateBgSubnetRequest UpdateBgSubnetRequest, struct unsp__UpdateBgSubnetResult *UpdateBgSubnetResult)
| Update a Business Group subnet. More...
int | unsp__GetBgSubnetAndLinList (struct unsp__GetBgSubnetAndLinListRequest GetBgSubnetAndLinListRequest, struct unsp__GetBgSubnetAndLinListResult *GetBgSubnetAndLinListResult)
| This method retrieves and lists subnets and their Location Identity Numbers. More...

## Detailed Description

Business Group Subnet Definitions and Methods

Business group subnet administration provides the BG administrator with the ability to provision the E9-1-1 Subnet Table on a per-BG basis. The purpose of a BG subnet is to associate one or more LINs (Location Identification Numbers) with a particular physical location to be used by an emergency operator, also known as a PSAP (Public Safety Answering Point). The physical location is expressed with either an IP address/ Subnet mask and/or Location Domain name.

## Enumeration Type Documentation

## ◆ unsp__GetBgSubnetListDataOption

enum unsp__GetBgSubnetListDataOption

Business Group Subnet optional fields.

Used by unsp__GetBgSubnetList()

Enumerator
BgSubnetListDataInclDescription_ | include description
BgSubnetListDataInclBOName_ | include Branch Office name

## ◆ unsp__OverwriteNAMwithLIN

enum unsp__OverwriteNAMwithLIN

Emergency Subnet Parameter.

Indicates how OSV will handle the NAM field into the PIDF-LO of outgoing Emergency Calls.

Enumerator
OverwriteNAMwithLINPassthrough | Pass through.
OverwriteNAMwithLINWriteIfEmpty | Write If Empty.
OverwriteNAMwithLINOverwrite | Overwrite.

## Function Documentation

## ◆ unsp__CreateBgSubnet2()

unsp__CreateBgSubnet2 | ( | struct unsp__CreateBgSubnetRequest | CreateBgSubnetRequest,
|  | struct unsp__CreateBgSubnetResult * | CreateBgSubnetResult
| ) |  |

Creates a Business Group subnet.

Parameters

  CreateBgSubnetRequest | API request
  CreateBgSubnetResult | API result MP2 command: E911BGSUBNETCREATE [Attributes]

## ◆ unsp__CreateLinPool()

unsp__CreateLinPool | ( | struct unsp__CreateLinPoolRequest | CreateLinPoolRequest,
|  | struct unsp__CreateLinPoolResult * | CreateLinPoolResult
| ) |  |

Creates a LIN POOL.

Allows the provisioning of LIN POOLs.

Parameters

  CreateLinPoolRequest | API request
  CreateLinPoolResult | API result MP2 command: CLINPOOL [Attributes]

## ◆ unsp__DeleteBgSubnet2()

unsp__DeleteBgSubnet2 | ( | struct unsp__DeleteBgSubnetRequest | DeleteBgSubnetRequest,
|  | struct unsp__DeleteBgSubnetResult * | DeleteBgSubnetResult
| ) |  |

Deletes a Business Group Subnet.

Parameters

  DeleteBgSubnetRequest | API request
  DeleteBgSubnetResult | API result MP2 command: E911BGSUBNETDELETE [Attributes]

## ◆ unsp__GetBgSubnetAndLinList()

unsp__GetBgSubnetAndLinList | ( | struct unsp__GetBgSubnetAndLinListRequest | GetBgSubnetAndLinListRequest,
|  | struct unsp__GetBgSubnetAndLinListResult * | GetBgSubnetAndLinListResult
| ) |  |

This method retrieves and lists subnets and their Location Identity Numbers.

Parameters

  GetBgSubnetAndLinListRequest | API request
  GetBgSubnetAndLinListResult | API result

## ◆ unsp__GetBgSubnetInfo()

unsp__GetBgSubnetInfo | ( | struct unsp__GetBgSubnetRequest | GetBgSubnetRequest,
|  | struct unsp__GetBgSubnetResult * | GetBgSubnetResult
| ) |  |

Queries a Business Group subnet using the provided filtering values.

Parameters

  GetBgSubnetRequest | API request
  GetBgSubnetResult | API result

## ◆ unsp__GetBgSubnetList()

unsp__GetBgSubnetList | ( | struct unsp__GetBgSubnetListRequest | GetBgSubnetListRequest,
|  | struct unsp__GetBgSubnetListResult * | GetBgSubnetListResult
| ) |  |

Queries Business Group Subnets using the provided filtering, sorting and paging values.

Parameters

  GetBgSubnetListRequest | API request
  GetBgSubnetListResult | API result

## ◆ unsp__GetLinPool()

unsp__GetLinPool | ( | struct unsp__GetLinPoolRequest | GetLinPoolRequest,
|  | struct unsp__GetLinPoolResult * | GetLinPoolResult
| ) |  |

Queries a list of LIN POOLs.

Parameters

  GetLinPoolRequest | API request
  GetLinPoolResult | API result

## ◆ unsp__ModifyLinPool()

unsp__ModifyLinPool | ( | struct unsp__ModifyLinPoolRequest | ModifyLinPoolRequest,
|  | struct unsp__ModifyLinPoolResult * | ModifyLinPoolResult
| ) |  |

Modifies a LIN POOL.

All fields are modifiable apart from LIN POOL Name which is used to identify the entry to be modified
MP2 command: MLINPOOL [Attributes]

Parameters

  ModifyLinPoolRequest | API request
  ModifyLinPoolResult | API result

## ◆ unsp__QueryLinPoolList()

unsp__QueryLinPoolList | ( | struct unsp__QueryLinPoolListRequest | QueryLinPoolRequest,
|  | struct unsp__QueryLinPoolListResult * | QueryLinPoolResult
| ) |  |

Queries a list of LIN POOLs.

Parameters

  QueryLinPoolRequest | API request
  QueryLinPoolResult | API result

## ◆ unsp__RemoveLinPool()

unsp__RemoveLinPool | ( | struct unsp__RemoveLinPoolRequest | RemoveLinPoolRequest,
|  | struct unsp__RemoveLinPoolResult * | RemoveLinPoolResult
| ) |  |

Deletes a LIN POOL.

Parameters

  RemoveLinPoolRequest | API request
  RemoveLinPoolResult | API result MP2 command: DLINPOOL [Attributes]

## ◆ unsp__UpdateBgSubnet2()

unsp__UpdateBgSubnet2 | ( | struct unsp__UpdateBgSubnetRequest | UpdateBgSubnetRequest,
|  | struct unsp__UpdateBgSubnetResult * | UpdateBgSubnetResult
| ) |  |

Update a Business Group subnet.

Parameters

  UpdateBgSubnetRequest | API request
  UpdateBgSubnetResult | API result MP2 command: E911BGSUBNETUPDATE [Attributes]